.check-container {
  width: 100%;
  position: relative;
  margin-bottom: 40px;
}
.page-main {
  text-align: center;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition-duration: 0.3s;
}
.page-main .page-title {
  font-weight: 500;
  color: #fff;
  font-size: 32px;
}
.check-wrap {
  width: 1000px;
  margin: 0 auto;
}
.check-wrap .check-main {
  --content-border-color: rgba(255, 255, 255, 0.3);
  position: relative;
  isolation: isolate;
  display: inline-grid;
  padding: 40px;
  border: 0;
  background: transparent;
  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.6);
  clip-path: polygon(/* Top-left */ 0% var(--curve-size), var(--curve-size) 0, /* top-right */ 100% 0, 100% calc(100% - var(--curve-size)), /* bottom-right 1 */ calc(100% - var(--curve-size)) 100%, /* bottom-right 2 */ 0 100%);
  transition: color 250ms;
  font-size: 14px;
  line-height: 1.6;
  width: 100%;
}
.check-wrap .check-main:after,
.check-wrap .check-main:before {
  content: "";
  position: absolute;
  inset: 0;
}
.check-wrap .check-main:before {
  background: var(--content-border-color);
  background-size: 300% 300%;
  z-index: -2;
  opacity: 0.7;
}
.check-wrap .check-main:after {
  background: var(--bg);
  z-index: -1;
  clip-path: polygon(/* Top-left */ var(--border-width) calc(var(--curve-size) + var(--border-width) * 0.5), calc(var(--curve-size) + var(--border-width) * 0.5) var(--border-width), /* top-right */ calc(100% - var(--border-width)) var(--border-width), calc(100% - var(--border-width)) calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)), /* bottom-right 1 */ calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)) calc(100% - var(--border-width)), /* bottom-right 2 */ var(--border-width) calc(100% - var(--border-width)));
  transition: clip-path 500ms;
}
.check-wrap .check-main .desc {
  width: 100%;
  font-size: 14px;
  text-align: center;
  margin-bottom: 52px;
  margin-top: 22px;
}
.check-wrap .check-main .form-main .form-group {
  display: flex;
  margin-bottom: 48px;
}
.check-wrap .check-main .form-main .form-group label {
  font-size: 14px;
  width: 105px;
  padding-top: 10px;
  flex-shrink: 0;
}
.check-wrap .check-main .form-main .form-group .form-control {
  width: 565px;
  height: 44px;
  border: 1px solid #979797;
  padding: 0 26px;
  background-color: transparent;
  flex-grow: 1;
  border-radius: 6px;
  color: #fff;
}
.check-wrap .check-main .form-main .form-group .form-textarea {
  height: 123px;
  padding: 10px 26px;
}
.check-wrap .check-main .form-main .form-group .form-btn {
  width: 50%;
  margin: 0 auto;
  height: 46px;
  background: #C1C1C1;
  border: none;
  color: #fff;
  font-size: 16px;
  border-radius: 6px;
}
.check-wrap .check-main .form-main .form-group .activate-btn {
  background: #fff;
  color: #000;
}
.check-wrap .check-main .form-main .form-group .code {
  width: 150px;
  height: 40px;
  margin-left: 20px;
}
.check-wrap .check-main .form-main .form-group .code img {
  width: 100%;
  height: 100%;
}
.check-wrap .check-main .foot {
  font-size: 14px;
}
.check-wrap .check-main .foot .li {
  margin-bottom: 40px;
}
